import { defineComponent as f, isVue2 as d, h as o } from "vue-demi";
const b = f({
  name: "TwButton",
  props: {
    bg: {
      type: String,
      default: "fill",
      validator: (e) => e === "fill" || e === "clear"
    },
    bordered: {
      type: Boolean,
      default: !1
    },
    disabled: {
      type: Boolean,
      default: !1
    },
    flex: {
      type: Boolean,
      default: !1
    },
    icon: {
      type: String,
      default: ""
    },
    pill: {
      type: Boolean,
      default: !1
    }
  },
  emits: ["click"],
  setup(e, { emit: n, slots: a }) {
    const i = {
      btn: !0,
      "btn-flex": e.flex,
      "opacity-50 cursor-not-allowed": e.disabled,
      "!rounded-full": e.pill,
      border: e.bordered,
      "border-dark": e.bordered && e.bg === "clear",
      "border-primary-dark": e.bordered && e.bg === "fill",
      "btn-clear": e.bg === "clear",
      "btn-fill": e.bg === "fill"
    };
    function r(l) {
      return l(
        "button",
        {
          class: i,
          attrs: d ? { disabled: e.disabled } : void 0,
          // Vue 2 compatibility
          disabled: d ? void 0 : e.disabled,
          // Vue 3 compatibility
          on: d ? { click: (t) => n("click", t) } : void 0,
          // Vue 2 event handling
          onClick: d ? void 0 : (t) => n("click", t)
          // Vue 3 event handling
        },
        [
          l("span", { class: "btn-contents" }, [
            e.icon ? l(
              "span",
              {
                class: {
                  "icon material-icons": !0,
                  "ml-[-2px] mr-1.5": a.default
                }
              },
              e.icon
            ) : "",
            a.default ? l("span", {}, a.default()) : ""
          ])
        ]
      );
    }
    return () => r(o);
  }
});
export {
  b as TwButton
};
